Home

# Library goog.json

Function Summary
| `isValid_(string s) ⇒ boolean` Tests if a string is an invalid JSON string. This only ensures that we are not using any invalid characters
| `parse(<Any Type> s) ⇒ ?Object` Parses a JSON string and returns the result. This throws an exception if the string is an invalid JSON string. Note that this is very slow on large strings. If you trust the source of the string then you should use unsafeParse instead.
| `serialize(<Any Type> object, ?goog.json.Replacer= opt_replacer) ⇒ string` Serializes an object or a value to a JSON string.
| `unsafeParse(string s) ⇒ ?Object` Parses a JSON string and returns the result. This uses eval so it is open to security issues and it should only be used if you trust the source.